Bug 1346758 - Segmentation fault while header_register_callback
Summary: Segmentation fault while header_register_callback
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: php
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Štěpán Šigut
URL:
Whiteboard:
Depends On: 1344578
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 09:58 UTC by Marcel Kolaja
Modified: 2016-10-04 04:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, an incorrect logic in the SAPI header callback routine caused that the callback counter was not incremented. Consequently, when a script included a header callback, it could terminate unexpectedly with a segmentation fault. With this update, the callback counter is properly managed, and scripts with a header callback implementation work as expected.
Clone Of: 1344578
Environment:
Last Closed: 2016-08-11 22:10:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1613 normal SHIPPED_LIVE Moderate: php security and bug fix update 2016-08-12 02:10:23 UTC
PHP Bug Tracker 66375 None None None 2016-06-15 09:58:35 UTC
PHP Bug Tracker 66418 None None None 2016-06-15 09:58:35 UTC

Description Marcel Kolaja 2016-06-15 09:58:30 UTC
This bug has been copied from bug #1344578 and has been proposed
to be backported to 7.2 z-stream (EUS).

Comment 8 errata-xmlrpc 2016-08-11 22:10:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1613.html


Note You need to log in before you can comment on or make changes to this bug.